## basket 0.9.2

=== DESCRIPTION ===
Package: basket
Title: Basket Trial Analysis
Version: 0.9.2
Authors@R: c(
  person("Nan", "Chen",
         email = "nchen2@mdanderson.org",
         role = c("aut")),
  person("Brian", "Hobbs",
         email = "HobbsB@ccf.org",
         role = c("aut")),
  person("Alex", "Kaizer",
         email = "alex.kaizer@ucdenver.edu",
         role = c("aut")),
  person("Michael J.", "Kane",
         email = "michael.kane@yale.edu",
         role = c("aut", "cre"),
         comment = c(ORCID = "http://orcid.org/0000-0003-1899-6662")))
Description: Implementation of multisource exchangeability models for Bayesian analyses of prespecified subgroups arising in the context of basket trial design and monitoring.  The R 'basket' package facilitates implementation of the binary, symmetric multi-source exchangeability model (MEM) with posterior inference arising from both exact computation and Markov chain Monte Carlo sampling. Analysis output includes full posterior samples as well as posterior probabilities, highest posterior density (HPD) interval boundaries, effective sample sizes (ESS), mean and median estimations, posterior exchangeability probability matrices, and maximum a posteriori MEMs. In addition to providing "basketwise" analyses, the package includes similar calculations for "clusterwise" analyses for which subgroups are combined into meta-baskets, or clusters, using graphical clustering algorithms that treat the posterior exchangeability probabilities as edge weights. In addition plotting tools are provided to visualize basket and cluster densities as well as their exchangeability.  References include Hyman, D.M., Puzanov, I., Subbiah, V., Faris, J.E., Chau, I., Blay, J.Y., Wolf, J., Raje, N.S., Diamond, E.L., Hollebecque, A. and Gervais, R (2015) <doi:10.1056/NEJMoa1502309>; Hobbs, B.P. and Landin, R. (2018) <doi:10.1002/sim.7893>; Hobbs, B.P., Kane, M.J., Hong, D.S. and Landin, R. (2018) <doi:10.1093/annonc/mdy457>; and Kaizer, A.M., Koopmeiners, J.S. and Hobbs, B.P. (2017) <doi:10.1093/biostatistics/kxx031>.
Depends: R (>= 3.4.0)
License: LGPL-2
Maintainer: Michael J. Kane <michael.kane@yale.edu>
Imports: GenSA, foreach, ggplot2, stats, tibble, tidyr, dplyr, igraph,
        gridExtra, itertools, crayon, cli
LazyData: true
Encoding: UTF-8
RoxygenNote: 6.1.1
URL: https://github.com/kaneplusplus/basket
BugReports: https://github.com/kaneplusplus/basket/issues
Suggests: knitr, rmarkdown, testthat, doParallel
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-05-11 23:28:08 UTC; mike
Author: Nan Chen [aut],
  Brian Hobbs [aut],
  Alex Kaizer [aut],
  Michael J. Kane [aut, cre] (<https://orcid.org/0000-0003-1899-6662>)
Repository: CRAN
Date/Publication: 2019-05-14 13:50:03 UTC

## basket 0.9.10

=== DESCRIPTION ===
Package: basket
Title: Basket Trial Analysis
Version: 0.9.10
Authors@R: c(
  person(given = "Nan", 
         family = "Chen",
         email = "nchen2@mdanderson.org",
         role = c("aut")),
  person(given = "Brian", 
         family = "Hobbs",
         email = "HobbsB@ccf.org",
         role = c("aut")),
  person(given = "Alex", 
         family = "Kaizer",
         email = "alex.kaizer@ucdenver.edu",
         role = c("aut")),
  person(given = "Michael J.", 
         family = "Kane",
         email = "michael.kane@yale.edu",
         role = c("aut", "cre"),
         comment = c(ORCID = "http://orcid.org/0000-0003-1899-6662")))
Description: Implementation of multisource exchangeability models for Bayesian analyses of prespecified subgroups arising in the context of basket trial design and monitoring.  The R 'basket' package facilitates implementation of the binary, symmetric multi-source exchangeability model (MEM) with posterior inference arising from both exact computation and Markov chain Monte Carlo sampling. Analysis output includes full posterior samples as well as posterior probabilities, highest posterior density (HPD) interval boundaries, effective sample sizes (ESS), mean and median estimations, posterior exchangeability probability matrices, and maximum a posteriori MEMs. In addition to providing "basketwise" analyses, the package includes similar calculations for "clusterwise" analyses for which subgroups are combined into meta-baskets, or clusters, using graphical clustering algorithms that treat the posterior exchangeability probabilities as edge weights. In addition plotting tools are provided to visualize basket and cluster densities as well as their exchangeability.  References include Hyman, D.M., Puzanov, I., Subbiah, V., Faris, J.E., Chau, I., Blay, J.Y., Wolf, J., Raje, N.S., Diamond, E.L., Hollebecque, A. and Gervais, R (2015) <doi:10.1056/NEJMoa1502309>; Hobbs, B.P. and Landin, R. (2018) <doi:10.1002/sim.7893>; Hobbs, B.P., Kane, M.J., Hong, D.S. and Landin, R. (2018) <doi:10.1093/annonc/mdy457>; and Kaizer, A.M., Koopmeiners, J.S. and Hobbs, B.P. (2017) <doi:10.1093/biostatistics/kxx031>.
Depends: R (>= 3.5.0)
License: LGPL-2
Maintainer: Michael J. Kane <michael.kane@yale.edu>
Imports: GenSA, foreach, ggplot2, stats, tibble, tidyr, dplyr, igraph,
        gridExtra, itertools, crayon, cli, RColorBrewer
LazyData: true
Encoding: UTF-8
RoxygenNote: 6.1.1
URL: https://github.com/kaneplusplus/basket
BugReports: https://github.com/kaneplusplus/basket/issues
Suggests: knitr, rmarkdown, testthat, doParallel
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-10-22 20:07:46 UTC; mike
Author: Nan Chen [aut],
  Brian Hobbs [aut],
  Alex Kaizer [aut],
  Michael J. Kane [aut, cre] (<https://orcid.org/0000-0003-1899-6662>)
Repository: CRAN
Date/Publication: 2019-10-23 07:40:02 UTC

## basket 0.10.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: basket
 Title: Basket Trial Analysis
-Version: 0.9.10
+Version: 0.10.1
 Authors@R: c(
   person(given = "Nan", 
          family = "Chen",
@@ -24,19 +24,20 @@
 License: LGPL-2
 Maintainer: Michael J. Kane <michael.kane@yale.edu>
 Imports: GenSA, foreach, ggplot2, stats, tibble, tidyr, dplyr, igraph,
-        gridExtra, itertools, crayon, cli, RColorBrewer
+        gridExtra, itertools, crayon, cli, RColorBrewer, tidygraph,
+        ggraph, rlang
 LazyData: true
 Encoding: UTF-8
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.2
 URL: https://github.com/kaneplusplus/basket
 BugReports: https://github.com/kaneplusplus/basket/issues
 Suggests: knitr, rmarkdown, testthat, doParallel
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2019-10-22 20:07:46 UTC; mike
+Packaged: 2020-03-10 22:10:03 UTC; mike
 Author: Nan Chen [aut],
   Brian Hobbs [aut],
   Alex Kaizer [aut],
   Michael J. Kane [aut, cre] (<https://orcid.org/0000-0003-1899-6662>)
 Repository: CRAN
-Date/Publication: 2019-10-23 07:40:02 UTC
+Date/Publication: 2020-03-11 05:40:02 UTC

## basket 0.10.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: basket
 Title: Basket Trial Analysis
-Version: 0.10.1
+Version: 0.10.2
 Authors@R: c(
   person(given = "Nan", 
          family = "Chen",
@@ -25,19 +25,19 @@
 Maintainer: Michael J. Kane <michael.kane@yale.edu>
 Imports: GenSA, foreach, ggplot2, stats, tibble, tidyr, dplyr, igraph,
         gridExtra, itertools, crayon, cli, RColorBrewer, tidygraph,
-        ggraph, rlang
+        ggraph,
 LazyData: true
 Encoding: UTF-8
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.0
 URL: https://github.com/kaneplusplus/basket
 BugReports: https://github.com/kaneplusplus/basket/issues
 Suggests: knitr, rmarkdown, testthat, doParallel
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2020-03-10 22:10:03 UTC; mike
+Packaged: 2020-04-06 17:39:25 UTC; mike
 Author: Nan Chen [aut],
   Brian Hobbs [aut],
   Alex Kaizer [aut],
   Michael J. Kane [aut, cre] (<https://orcid.org/0000-0003-1899-6662>)
 Repository: CRAN
-Date/Publication: 2020-03-11 05:40:02 UTC
+Date/Publication: 2020-04-07 09:50:13 UTC

## basket 0.10.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Package: basket
 Title: Basket Trial Analysis
-Version: 0.10.2
+Version: 0.10.11
 Authors@R: c(
   person(given = "Nan", 
          family = "Chen",
          email = "nchen2@mdanderson.org",
          role = c("aut")),
+  person(given = "Ryan", 
+         family = "Hafen",
+         email = "rhafen@gmail.com",
+         role = c("ctb")),
   person(given = "Brian", 
          family = "Hobbs",
          email = "HobbsB@ccf.org",
@@ -28,16 +32,18 @@
         ggraph,
 LazyData: true
 Encoding: UTF-8
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.2
 URL: https://github.com/kaneplusplus/basket
 BugReports: https://github.com/kaneplusplus/basket/issues
-Suggests: knitr, rmarkdown, testthat, doParallel
+Suggests: knitr, rmarkdown, testthat (>= 3.0.0), doParallel
 VignetteBuilder: knitr
+Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2020-04-06 17:39:25 UTC; mike
+Packaged: 2021-10-14 19:42:41 UTC; mike
 Author: Nan Chen [aut],
+  Ryan Hafen [ctb],
   Brian Hobbs [aut],
   Alex Kaizer [aut],
   Michael J. Kane [aut, cre] (<https://orcid.org/0000-0003-1899-6662>)
 Repository: CRAN
-Date/Publication: 2020-04-07 09:50:13 UTC
+Date/Publication: 2021-10-16 23:30:22 UTC

## basket 1.80

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)

find_package(KDE4 REQUIRED)
find_package(QImageBlitz REQUIRED)
find_package(Gpgme)
find_package(Gpgmepp)

if (BUILD_KPARTS)
find_package(KdepimLibs REQUIRED)
endif (BUILD_KPARTS)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include(KDE4Defaults)

include(MacroLibrary)

IF(GPGME_FOUND)
  SET(HAVE_LIBGPGME 1)
  SET(LARGEFILE_SOURCE_1)
  ADD_DEFINITIONS(-D_FILE_OFFSET_BITS=64)
ELSE(GPGME_FOUND)
  MESSAGE("GPG not found, configuring without")
ENDIF(GPGME_FOUND)

#TODO: find meinproc

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})


include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

#add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(po)
add_subdirectory(tags)
add_subdirectory(welcome)
add_subdirectory(backgrounds)
add_subdirectory(images)
add_subdirectory(file-integration)

=== src/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${QIMAGEBLITZ_INCLUDES} ${GPGME_INCLUDES})
add_subdirectory(tests)

########### next target ###############

set(basketcommon_LIB_SRCS
    aboutdata.cpp
    archive.cpp
    backgroundmanager.cpp
    backup.cpp
    basketview.cpp
    basketfactory.cpp
    basketlistview.cpp
    basketproperties.cpp
    basketstatusbar.cpp
    bnpview.cpp
    colorpicker.cpp
    crashhandler.cpp
    debugwindow.cpp
    decoratedbasket.cpp
    diskerrordialog.cpp
    exporterdialog.cpp
    filter.cpp
    focusedwidgets.cpp
    formatimporter.cpp
    global.cpp
    htmlexporter.cpp
    kcolorcombo2.cpp
    keyboard.cpp
    kgpgme.cpp
    likeback.cpp
    linklabel.cpp
    newbasketdialog.cpp
    note.cpp
    notecontent.cpp
    notedrag.cpp
    noteedit.cpp
    notefactory.cpp
    noteselection.cpp
    password.cpp
    regiongrabber.cpp
    settings.cpp
    softwareimporters.cpp
    systemtray.cpp
    tag.cpp
    tagsedit.cpp
    transparentwidget.cpp
    tools.cpp
    variouswidgets.cpp
    xmlwork.cpp
)

kde4_add_ui_files(basketcommon_LIB_SRCS passwordlayout.ui)

QT4_ADD_DBUS_ADAPTOR(basketcommon_LIB_SRCS org.basket.BNPView.xml bnpview.h BNPView)

QT4_ADD_RESOURCES(basketcommon_LIB_SRCS ../basket.qrc)

kde4_add_library(basketcommon SHARED ${basketcommon_LIB_SRCS})

target_link_libraries(basketcommon
  ${KDE4_KDE3SUPPORT_LIBS} # Remove me
  ${KDE4_KIO_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${KDE4_KFILE_LIBS}
  ${KDE4_PHONON_LIBRARY}
  ${QIMAGEBLITZ_LIBRARIES}
  ${GPGME_VANILLA_LIBRARIES})

if(Q_WS_X11)
    target_link_libraries(basketcommon ${X11_X11_LIB})
endif(Q_WS_X11)

set_target_properties(basketcommon PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS basketcommon DESTINATION ${LIB_INSTALL_DIR})

########### next target ###############

set(basket_SRCS main.cpp mainwindow.cpp application.cpp)

kde4_add_executable(basket ${basket_SRCS})
target_link_libraries(basket
  ${KDE4_KDE3SUPPORT_LIBS} # Remove me as well
  ${KDE4_KUTILS_LIBS}
  ${KDE4_KFILE_LIBS}
  ${KDE4_PHONON_LIBRARY}
  basketcommon)

install(TARGETS basket DESTINATION ${BIN_INSTALL_DIR})

########### next target ###############

set(kcm_basket_PART_SRCS kcm_basket.cpp)

kde4_add_plugin(kcm_basket ${kcm_basket_PART_SRCS})

target_link_libraries(kcm_basket ${QT_QT3SUPPORT_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} basketcommon)

install(TARGETS kcm_basket DESTINATION ${PLUGIN_INSTALL_DIR})

if(BUILD_KPARTS)

########### next target ###############

set(basketpart_PART_SRCS basket_part.cpp)

kde4_add_plugin(basketpart WITH_PREFIX ${basketpart_PART_SRCS})

target_link_libraries(basketpart ${KDE4_KPARTS_LIBS} basketcommon kparts kdeui ${QT_QT3SUPPORT_LIBRARY})

install(TARGETS basketpart DESTINATION ${PLUGIN_INSTALL_DIR})

set(kontact_basket_PLUGIN_SRCS basket_plugin.cpp)

kde4_add_plugin(kontact_basketplugin ${kontact_basket_PLUGIN_SRCS})

qt4_add_dbus_interfaces(kontact_basket_PLUGIN_SRCS org.kde.basket.basket.xml)

add_dependencies(kontact_basketplugin basket)

target_link_libraries(kontact_basketplugin ${KDE4_CORE_LIBS} ${KDEPIMLIBS_KONTACTINTERFACE_LIBS} kdepim basketcommon kparts kdeui ${KDE4_KPARTS_LIBS})

install(TARGETS kontact_basketplugin DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES basket_plugin.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kontact)

########### install files ###############

install(FILES  basket_part.rc DESTINATION ${DATA_INSTALL_DIR}/basket)
install(FILES  basket_part.desktop DESTINATION ${SERVICES_INSTALL_DIR})

endif(BUILD_KPARTS)

install(FILES  basket.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES  basket_config_general.desktop  	basket_config_baskets.desktop  	basket_config_new_notes.desktop  	basket_config_notes_appearance.desktop  	basket_config_apps.desktop  	DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES  basketui.rc DESTINATION ${DATA_INSTALL_DIR}/basket)

kde4_install_icons(${ICON_INSTALL_DIR})

=== debian/changelog ===
basket (1.80-1) unstable; urgency=low

  * New upstream release.

  [ Luigi Toscano ]
  * Cleanup the build system, switch to debhelper 7 and "3.0 (quilt)" format.
  * Remove patches: 
    - 03_lib_link, 04_am_maintainer_mode, 
      05_allow_newer_automake_and_autoconf, 06_autoconf2.64: 
      no more needed (new build system);
    - 12_desktop, 13_add_da.po, 16_basket_kontact_compat,
      17_mimetype: merged upstream;
    - 15_fix_gcc4.3: no more needed.
  * Refresh patch: 14_update_es_po.
  * Add patch: 18_no_kde3_libs (only Q3Support is needed, not kde3support)
  * Update copyright, bump Standards-Version to 3.8.4
  * Rename README.Debian as README.source.
  * Add lintian-overrides file.
  * Add myself to Uploaders.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 30 May 2010 20:55:54 +0200

basket (1.0.2-8) unstable; urgency=low

  * Hack around autoconf2.64 changes. More hacks. Thanks to pld-linux.
  * Allow automake 1.11 usage. and 1.12. and 1.13. and...
    (Closes: #543095)
  * Adapt to new menu structure. (Closes: 496058)
  * Add ; to desktop file. (Closes: 507803)

 -- Sune Vuorela <debian@pusling.com>  Tue, 01 Sep 2009 21:25:53 +0200

basket (1.0.2-7) unstable; urgency=low

  * Hack around teh libtool changes. Now builds. But kind of a hack.
    (Closes: #527814)

 -- Sune Vuorela <debian@pusling.com>  Sat, 09 May 2009 12:12:02 +0200

basket (1.0.2-6) unstable; urgency=low

  * Yay for Lenny. Remove kontact plugin.

 -- Sune Vuorela <debian@pusling.com>  Sun, 15 Feb 2009 12:15:01 +0100

basket (1.0.2-5) unstable; urgency=low

  * Also allow automake 1.10 usage - and just build-dep on automake i
    (Closes: #487981)
  * Bye bye ana

 -- Sune Vuorela <debian@pusling.com>  Wed, 25 Jun 2008 20:11:23 +0200

basket (1.0.2-4) unstable; urgency=low

  * Split kontact integration out to a separate package, so basket can be used
    without kde3-kontact installed. Useful in a kde4 environment.

 -- Sune Vuorela <debian@pusling.com>  Sun, 25 May 2008 21:08:36 +0200

basket (1.0.2-3) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Relibtoolize on build. much easier. This also fixes double build(Closes: #442503)
  * Fix kontact integration (Closes: #469596)
  * Remove watch file (Closes: #449699)
  * Build against kontact that is fixed concerning third party plugins

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 11 Mar 2008 23:39:35 +0100

basket (1.0.2-2) unstable; urgency=low

  [ Ana Beatriz Guerrero Lopez ]
  * Apply patch to fix FTBFS with GCC 4.3. Thanks to Martin Michlmayr.
    (Closes: #421209)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 29 May 2007 12:47:58 +0100

basket (1.0.2-1) unstable; urgency=low

  [ Sune Vuorela ]
  * Add da.po as debian/patches/13_add_da.po.diff. Thanks to Martin Schlander.

  [ Ana Beatriz Guerrero Lopez ]
  * Add 14_update_es_po.diff updating spanish translation. Thanks to Enrique Matías.
  * Buildprep.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 24 Apr 2007 16:37:48 +0100

basket (1.0.1-1) experimental; urgency=low

  * New upstream release. 
  * Fix offset patch 12_desktop.diff

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 29 Mar 2007 13:32:00 +0000

basket (1.0-1) experimental; urgency=low

  * New upstream version.
    - final 1.0 version.
  * The ana-please-pass-your-exam-this-is-your-miracle release.

 -- Sune Vuorela <debian@pusling.com>  Sun, 11 Feb 2007 12:35:24 +0100

basket (1.0~rc2-1) experimental; urgency=low

  * New upstream release:
    - Removed 10_dont_spam_stderr and 11_match_kde3.5.6_kontact,
      merged upstream.
    - Fixed offset patch 12_desktop.diff.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon,  5 Feb 2007 05:05:50 +0100

basket (1.0~beta3-1) experimental; urgency=low

  * New upstream version. (Closes: #395900)
  * Package now maintained by the Debian KDE Extras Team.
  
  [ Ana Beatriz Guerrero Lopez ]
  * Remove unnecessary file debian/Makefile.
  * Update compat to 5.
  * Bumped Standards-Version to 3.7.2, no changes required.
  * Update dep on kdebase-dev to kdelibs4-dev.
  * Add build-dep on kdepim-dev to get kontact integration.
  * Add build-dep on libgpgme11-dev to support encryption.
  * Package description:
    - Change short description.
    - Add basket's homepage.
  * Not install empty file NEWS.
  * Rewrite debian/rules file.
  * Improve debian/copyright file.
  * Versioned build-deps in kdelibs4-dev and kdepim-dev to build against 3.5.6
    (so Sune's changes will work).
  * Patched desktop file to include Categories and moved to right place.

  [ Sune Vuorela ]
  * Add quilt to build-dep - we better need a patch system. This also required
    changes to rules.
  * Add a 10_dont_spam_stderr patch to not be that verbose on stderr. It uses
    kdDebug() now to report those.
  * Add a 11_match_kde3.5.6_kontact patch to make the kontact plugin work with 
    kontact 3.5.6 - kdepim people have bumped their internal versionings.
  * Write new and improved manpage (Derived from help2man). (Closes: #405569)
  * Improve copyright file.
  * Minor changes to rules file.
  * Relibtoolization - and a need to fix parts of the build system.
    (New libtool put in thru patch 02, patch 03 fixes build system relying on 
    broken libtool and the big buildprep as patch 98.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 03 Feb 2007 07:41:48 +0100

basket (0.5.0-6) unstable; urgency=low

  * Acknowledge NMU. Thanks!
    Nothing more to be done (at least until upstream releases 0.6)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Thu, 11 May 2006  1:08:16 +0200

basket (0.5.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added -Wl,--as-needed as ldflags (Closes: #349480)
  * Trimmed build-depends to not include stuff from
    kdebase dependency line

 -- Sune Vuorela <debian@pusling.com>  Fri, 21 Apr 2006 21:25:43 +0000



=== debian/control ===
Source: basket
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Luigi Toscano <luigi.toscano@tiscali.it>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake, libx11-dev, libqimageblitz-dev, kdepimlibs5-dev (>=4:4.4.3), libgpgme11-dev
Homepage: http://basket.kde.org/
Standards-Version: 3.8.4

Package: basket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a multi-purpose note-taking application for KDE
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it. 
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects 
 you want in one place, keep data on hand, take notes...

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh --with kde $@

override_dh_auto_install:
	dh_auto_install
	rm -f $(TMP)/usr/lib/libbasketcommon.so

.PHONY: override_dh_auto_test

## basket 1.81

=== debian/changelog ===
basket (1.81-3) unstable; urgency=low

  * Split arch-independent data into basket-data package.
    - add basket.install and basket-data.install; rename docs and menu to
      basket.docs and basket.menu respectively; adapt control file.
    - as a consequence, simplify rules by removing override_dh_auto_install
      and the variables used by that section; it was needed to remove one
      symbolic link which is not included in the *.install files anymore.
  * Add override no-symbols-control-file (libbasketcommon is private).
  * Change order of parameters of dh command in rules file to be
    compatible with debhelper>7.
  * Fix day of the week in previous changelog entry.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Thu, 05 Apr 2012 01:50:31 +0200

basket (1.81-2) unstable; urgency=high

  [ Luigi Toscano ]
  * Update standard version to 3.9.3. No changes required.
  * Add support for parallel build.
  * Add watch file.
  * Fix lintian warnings (description-synopsis-starts-with-article,
    manpage-has-bad-whatis-entry).
  * Add DEP-3 headers to 14_update_es_po.
  * Fix "experimental" instead of "unstable" in the previous changelog entry.
  * Urgency set to high to fix a RC bug (closes: #587544).
  * Upload to unstable.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sat, 31 Mar 2012 17:44:05 +0200

basket (1.81-1) experimental; urgency=low

  [ Luigi Toscano ]
  * New upstream release.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 08 Oct 2010 16:53:44 +0200

=== debian/control ===
Source: basket
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Luigi Toscano <luigi.toscano@tiscali.it>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake, libx11-dev, libqimageblitz-dev, kdepimlibs5-dev (>=4:4.4.3), libgpgme11-dev
Homepage: http://basket.kde.org/
Standards-Version: 3.9.3

Package: basket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 basket-data (>=${source:Version})
Description: multi-purpose note-taking application for KDE
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it. 
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects 
 you want in one place, keep data on hand, take notes...

Package: basket-data
Architecture: all
Depends: ${misc:Depends}
Replaces: basket (<< 1.81-3~)
Breaks: basket (<< 1.81-3~)
Description: data files for BasKet Notepads
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it. 
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects 
 you want in one place, keep data on hand, take notes...
 .
 This package contains arch independent data for Basket.

=== debian/watch ===
version=3

opts=filenamemangle=s/.*\?file=(.*)$/$1\.tar\.bz2/ \
  http://basket.kde.org/ downloads/\?file=basket-(.+)

## basket 2.0~beta2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 cmake_minimum_required(VERSION 2.4)
 
+find_package(X11 REQUIRED)
 find_package(KDE4 REQUIRED)
 find_package(QImageBlitz REQUIRED)
 find_package(Gpgme)
@@ -29,7 +30,7 @@
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
 
 
-include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )
+include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${X11_INCLUDES} )
 
 #add_subdirectory(doc)
 add_subdirectory(src)

=== doc/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

message(STATUS "${CMAKE_CURRENT_SOURCE_DIR}: skipped subdir $(AUTODIRS)")

########### install files ###############


kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)



#original Makefile.am contents follow:

## the SUBDIRS is filled automatically by am_edit. If files are 
## in this directory they are installed into the english dir
#
#KDE_LANG = en
#KDE_DOCS = basket
#SUBDIRS = $(AUTODIRS)

=== file-integration/CMakeLists.txt ===

set(basketthumbcreator_PART_SRCS basketthumbcreator.cpp)

kde4_add_plugin(basketthumbcreator ${basketthumbcreator_PART_SRCS})

target_link_libraries(basketthumbcreator ${KDE4_KIO_LIBS})

install(TARGETS basketthumbcreator DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install(FILES  basketthumbcreator.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES  basket.magic DESTINATION ${CONFIG_INSTALL_DIR}/magic)
install(FILES  x-basket-archive.desktop x-basket-template.desktop DESTINATION ${MIME_INSTALL_DIR}/application)

kde4_install_icons(${ICON_INSTALL_DIR})

=== po/CMakeLists.txt ===
# Copied from http://techbase.kde.org/Development/Tutorials/Localization/i18n_Build_Systems#Compiling_and_installing_message_catalogs

FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

        SET(catalogname basket)

        ADD_CUSTOM_TARGET(translations ALL)

        FILE(GLOB PO_FILES *.po)

        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )

                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )

        ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
     formatimporter.cpp
     global.cpp
     htmlexporter.cpp
+    history.cpp
     kcolorcombo2.cpp
     keyboard.cpp
     kgpgme.cpp
@@ -66,6 +67,7 @@
   ${KDE4_KFILE_LIBS}
   ${KDE4_PHONON_LIBRARY}
   ${QIMAGEBLITZ_LIBRARIES}
+  ${X11_LIBRARIES}
   ${GPGME_VANILLA_LIBRARIES})
 
 if(Q_WS_X11)

=== doc/en/CMakeLists.txt ===

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )


########### install files ###############


kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)



#original Makefile.am contents follow:

#KDE_DOCS = basket
#KDE_LANG = en

=== src/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/src 
                    ${CMAKE_BINARY_DIR}/src)

link_directories(${CMAKE_BINARY_DIR}/lib)

macro(basket_standalone_unit_test _testname)
    kde4_add_unit_test(${_testname} ${_testname}.cpp ${_extra_sources} ${ARGN})
    target_link_libraries(${_testname} basketcommon ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY})
endmacro(basket_standalone_unit_test)

basket_standalone_unit_test(notetest)
basket_standalone_unit_test(basketviewtest)

=== debian/changelog ===
basket (2.0~beta2-0ubuntu3) saucy; urgency=low

  * debian/patches/12_desktop.patch: Remove, the upstream desktop
    file got fixed and our patch is causing errors. (LP: #1198961)

 -- Andreas Moog <amoog@ubuntu.com>  Tue, 23 Jul 2013 22:22:12 +0200

basket (2.0~beta2-0ubuntu2) oneiric; urgency=low

  * Build-Depends on libx11-dev to fix FTBFS

 -- Angel Abad <angelabad@ubuntu.com>  Sat, 20 Aug 2011 15:49:59 +0200

basket (2.0~beta2-0ubuntu1) natty; urgency=low

  * New upstream beta release:
    - Add kubuntu_01_disable_tests.diff to fix the build
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend version to 7.3.16
    - Remove quilt build-dependency
  * Switch from cdbs-based debian/rules to pkg-kde-tools' dh7 kde sequence
    - Remove cdbs build-dependency
    - Add build-dependency on pkg-kde-tools (>= 0.5.0)
  * Remove incorrect homepage field from within the package long description

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 29 Dec 2010 20:24:32 -0500

basket (2.0~beta1-0ubuntu1) lucid; urgency=low

  * New upstream beta release (LP: #544849)
  * debian/control: Add libgpgme11-dev to build-depends
  * Remove patches now applied:
    - 69afc21ff8b11414a81d6eba873282d7313fc158.diff
    - eb583ecfac011f213010e2b4bad27cfa389348e5.diff

 -- Andreas Wenning <awen@awen.dk>  Tue, 06 Apr 2010 14:55:24 +0200

basket (2.0~20102801-0ubuntu2) lucid; urgency=low

  * Add 69afc21ff8b11414a81d6eba873282d7313fc158.diff (LP: 536781)
    - Work-around KDE 4.4 change making creation of notes impossible.
    - From basket developer private branch:
      http://gitorious.org/~robertm/basket/robertm-basket/
  * Add eb583ecfac011f213010e2b4bad27cfa389348e5.diff
    - Make it possible to restore basket when started hidden.
    - From basket developer private branch:
      http://gitorious.org/~robertm/basket/robertm-basket/

 -- Andreas Wenning <awen@awen.dk>  Thu, 11 Mar 2010 13:08:06 +0100

basket (2.0~20102801-0ubuntu1) lucid; urgency=low

  * New upstream git snapshot of KDE4 version. (LP: #500360)
  * Drop patches not applicaple anymore:
    - 03_lib_link.diff
    - 04_am_maintainer_mode.diff
    - 05_allow_newer_automake_and_autoconf.diff
    - 14_update_es_po.diff
    - 16_basket_kontact_compat.diff
  * Adapt packaging for KDE4.
  * Generate new manpage using help2man.

 -- Andreas Wenning <awen@awen.dk>  Sun, 31 Jan 2010 22:47:39 +0100

basket (1.0.3.1-0ubuntu3) karmic; urgency=low

  * debian/patches/05_allow_newer_automake_and_autoconf.diff (LP: #447245):
    - Add support for automake 1.11.
    - Fix build failures with autoconf 2.64.

 -- Simon Olofsson <simon@olofsson.de>  Tue, 13 Oct 2009 15:12:49 +0200

basket (1.0.3.1-0ubuntu2) karmic; urgency=low

  * install a menu icon (LP: #189424)

 -- Simon Olofsson <simon@olofsson.de>  Tue, 07 Jul 2009 10:43:31 +0200

basket (1.0.3.1-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Update debian/patches/12_desktop.diff
  * Remove debian/patches/15_fix_gcc4.3.diff applied upstream
  * Remove debian/patches/13_add_da.po.diff applied upstream
  * debian/rules: Don't move around basket.desktop; upstream got it right

 -- Andreas Wenning <awen@awen.dk>  Wed, 29 Apr 2009 05:48:39 +0200

basket (1.0.2-5ubuntu1) jaunty; urgency=low

  * Remove arts from dependencies. (LP: #320915)
    - debian/rules: Add --without-arts to ./configure
  * debian/control:
    - Remove build-depends on kdepim-dev as it is now kde4
    - Don't build package basket-kontact-integration
  * debian/rules:
    - Change the path for ltmain.sh to /usr/share/libtool/config/ltmain.sh
    - Change the path for libtool.m4 to /usr/share/aclocal/libtool.m4
    - Remove all basket-kontact-integration related parts
  * Remove basket-kontact-integration.install

 -- Andreas Wenning <awen@awen.dk>  Mon, 02 Feb 2009 16:37:59 +0100

=== debian/control ===
Source: basket
Section: kde
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdepimlibs5-dev, libqimageblitz-dev, kdelibs5-dev, libgpgme11-dev, libx11-dev
Standards-Version: 3.8.0
Homepage: http://basket.kde.org

Package: basket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a multi-purpose note-taking application for KDE
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it.
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects
 you want in one place, keep data on hand, take notes...

## basket 2.10~beta+git6fed731

=== debian/changelog ===
basket (2.10~beta+git6fed731-1ubuntu1) vivid; urgency=medium

  * debian/control: Build-depend on shared-mime-info to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 23 Dec 2014 03:38:53 -0500

basket (2.10~beta+git6fed731-1) unstable; urgency=medium

  * New git snapshot: drop patches included upstream:
    - 19a-cmake-fix-installation-of-XDG-mimetypes-XML.patch
    - 19b-cmake-remove-installation-of-basket.desktop-using-xd.patch
  * Refresh patch: 14_update_es_po.
  * Add patch to fix MIME XML:
    - 20-Remove-root-XML-tag-from-application-x-basket-item.patch
  * The debian repository is on git, Vcs-Svn has been replaced by Vcs-Git
    and Vcs-Browser has been updated.
  * Update standard version to 3.9.6. No changes required.
  * Update manpage (authors, bug address, version, application name, typos).
  * Add explicit build dependency to kdelibs5-dev, it seems it helps with
    using the dummy phonon backend during compilation.
  * Add compiler flags to enable as-needed linking.
  * Remove README.source, mostly outdated.
  * Upload to unstable.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sun, 19 Oct 2014 21:49:04 +0200

basket (2.10~beta-1) experimental; urgency=medium

  [ Mark Purcell ]
  * debian/control add Vcs: headers
  * Add myself to Uploaders:
  * debian/compat -> 9

  [ Luigi Toscano ]
  * New upstream version: 2.10~beta.
  * Updated copyright, watch, *.install, basket.docs files.
  * Fix Vcs-Svn header in debian/control.
  * Update standard version to 3.9.5. No changes required.
  * Add required dependency to pkg-config.
  * Remove patch: 18_no_kde3_libs (obsolete).
  * Add patches to properly install XDG files (thanks Pino):
    - 19a-cmake-fix-installation-of-XDG-mimetypes-XML.patch
    - 19b-cmake-remove-installation-of-basket.desktop-using-xd.patch
  * Update lintian overrides.

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sun, 20 Jul 2014 16:26:33 +0200

=== debian/control ===
Source: basket
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Sune Vuorela <debian@pusling.com>, Luigi Toscano <luigi.toscano@tiscali.it>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake, libx11-dev, pkg-config, libqimageblitz-dev,
 kdelibs5-dev, kdepimlibs5-dev (>=4:4.4.3), libgpgme11-dev, shared-mime-info
Homepage: http://basket.kde.org/
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/basket.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/basket.git

Package: basket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 basket-data (>=${source:Version})
Description: multi-purpose note-taking application for KDE
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it. 
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects 
 you want in one place, keep data on hand, take notes...

Package: basket-data
Architecture: all
Depends: ${misc:Depends}
Replaces: basket (<< 1.81-3~)
Breaks: basket (<< 1.81-3~)
Description: data files for BasKet Notepads
 This application provides as many baskets (drawers) as you wish; Several
 kinds of objects (texts, URLs, images,...) can be drag-n-drop'd into it. 
 .
 Objects can be edited, copied, dragged... So, they can be arranged
 according to users' taste. Moreover, Basket allows you to keep all objects 
 you want in one place, keep data on hand, take notes...
 .
 This package contains arch independent data for Basket.

## basket 2.10~beta+git20150905.faa6dce

=== backgrounds/CMakeLists.txt ===

install(FILES  abstract.png  	alien-artifact.png alien-artifact.png.config  	basket-title.png  	green-curves.png  	light.png  	painting.png  	pens.png  	pins.png  	rainbow-balls.png  	rounds-line.png  	strings.png  	todo.png  	working.png DESTINATION ${DATA_INSTALL_DIR}/basket/backgrounds)

=== file-integration/CMakeLists.txt ===
set(basketthumbcreator_PART_SRCS basketthumbcreator.cpp)

kde4_add_plugin(basketthumbcreator ${basketthumbcreator_PART_SRCS})

target_link_libraries(basketthumbcreator ${KDE4_KIO_LIBS})

install(TARGETS basketthumbcreator DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

find_package(SharedMimeInfo REQUIRED)

install(FILES  basketthumbcreator.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES basket.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

kde4_install_icons(${ICON_INSTALL_DIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${QIMAGEBLITZ_INCLUDES} ${GPGME_INCLUDES})
-add_subdirectory(tests)
 
 ########### next target ###############
 
@@ -8,11 +7,12 @@
     archive.cpp
     backgroundmanager.cpp
     backup.cpp
-    basketview.cpp
     basketfactory.cpp
     basketlistview.cpp
     basketproperties.cpp
+    basketscene.cpp
     basketstatusbar.cpp
+    basketview.cpp
     bnpview.cpp
     colorpicker.cpp
     crashhandler.cpp
@@ -24,10 +24,10 @@
     focusedwidgets.cpp
     formatimporter.cpp
     global.cpp
+    gitwrapper.cpp
     htmlexporter.cpp
     history.cpp
     kcolorcombo2.cpp
-    keyboard.cpp
     kgpgme.cpp
     likeback.cpp
     linklabel.cpp
@@ -51,7 +51,23 @@
     xmlwork.cpp
 )
 
-kde4_add_ui_files(basketcommon_LIB_SRCS passwordlayout.ui)
+set(PIMO_CPP "") # One of the generated files
+
+IF(HAVE_NEPOMUK)
+  include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src" ${NEPOMUK_INCLUDES} ${SOPRANO_INCLUDE_DIR})
+  include(SopranoAddOntology)
+  soprano_add_ontology(basketcommon_LIB_SRCS ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nie.trig "NIE" "Soprano::Vocabulary" "trig")
+  soprano_add_ontology(basketcommon_LIB_SRCS ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nfo.trig "NFO" "Soprano::Vocabulary" "trig")
+  soprano_add_ontology(basketcommon_LIB_SRCS ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/pimo/pimo.trig "PIMO" "Soprano::Vocabulary" "trig")
+  
+  list(LENGTH basketcommon_LIB_SRCS SRCS_LENGTH)
+  math(EXPR SRCS_LENGTH "${SRCS_LENGTH} - 1")
+  list(GET basketcommon_LIB_SRCS ${SRCS_LENGTH} PIMO_CPP) # PIMO_CPP = last element
+  
+  list(INSERT basketcommon_LIB_SRCS 10 nepomukintegration.cpp)
+ENDIF(HAVE_NEPOMUK)
+
+kde4_add_ui_files(basketcommon_LIB_SRCS passwordlayout.ui basketproperties.ui)
 
 QT4_ADD_DBUS_ADAPTOR(basketcommon_LIB_SRCS org.basket.BNPView.xml bnpview.h BNPView)
 
@@ -60,7 +76,6 @@
 kde4_add_library(basketcommon SHARED ${basketcommon_LIB_SRCS})
 
 target_link_libraries(basketcommon
-  ${KDE4_KDE3SUPPORT_LIBS} # Remove me
   ${KDE4_KIO_LIBS}
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KPARTS_LIBS}
@@ -74,9 +89,22 @@
     target_link_libraries(basketcommon ${X11_X11_LIB})
 endif(Q_WS_X11)
 
+IF(HAVE_NEPOMUK)
+  target_link_libraries(basketcommon ${NEPOMUK_LIBRARIES} ${SOPRANO_LIBRARIES})
+ENDIF(HAVE_NEPOMUK)
+
 set_target_properties(basketcommon PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
 
 install(TARGETS basketcommon DESTINATION ${LIB_INSTALL_DIR})
+
+# Add unit tests after all variables have been set.
+# If we save target_link_libraries to a variable, we can reuse it too
+
+# Soprano files must exist, otherwise tests won't build
+set(FILES_GENERATED (EXISTS ${PIMO_CPP}))
+if(${FILES_GENERATED})
+  add_subdirectory(tests)
+endif(${FILES_GENERATED})
 
 ########### next target ###############
 
@@ -84,11 +112,15 @@
 
 kde4_add_executable(basket ${basket_SRCS})
 target_link_libraries(basket
-  ${KDE4_KDE3SUPPORT_LIBS} # Remove me as well
   ${KDE4_KUTILS_LIBS}
   ${KDE4_KFILE_LIBS}
   ${KDE4_PHONON_LIBRARY}
   basketcommon)
+
+IF(LIBGIT2_FOUND)
+  target_link_libraries(basketcommon ${LIBGIT2_LIBRARIES})
+  target_link_libraries(basket ${LIBGIT2_LIBRARIES})
+ENDIF(LIBGIT2_FOUND)
 
 install(TARGETS basket DESTINATION ${BIN_INSTALL_DIR})
 
@@ -98,7 +130,7 @@
 
 kde4_add_plugin(kcm_basket ${kcm_basket_PART_SRCS})
 
-target_link_libraries(kcm_basket ${QT_QT3SUPPORT_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} basketcommon)
+target_link_libraries(kcm_basket ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} basketcommon)
 
 install(TARGETS kcm_basket DESTINATION ${PLUGIN_INSTALL_DIR})
 
@@ -110,7 +142,7 @@
 
 kde4_add_plugin(basketpart WITH_PREFIX ${basketpart_PART_SRCS})
 
-target_link_libraries(basketpart ${KDE4_KPARTS_LIBS} basketcommon kparts kdeui ${QT_QT3SUPPORT_LIBRARY})
+target_link_libraries(basketpart ${KDE4_KPARTS_LIBS} basketcommon kparts kdeui)
 
 install(TARGETS basketpart DESTINATION ${PLUGIN_INSTALL_DIR})
 
@@ -122,7 +154,7 @@
 
 add_dependencies(kontact_basketplugin basket)
 
-target_link_libraries(kontact_basketplugin ${KDE4_CORE_LIBS} ${KDEPIMLIBS_KONTACTINTERFACE_LIBS} kdepim basketcommon kparts kdeui ${KDE4_KPARTS_LIBS})
+target_link_libraries(kontact_basketplugin ${KDE4_CORE_LIBS} ${KDEPIMLIBS_KONTACTINTERFACE_LIBS} basketcommon kparts kdeui ${KDE4_KPARTS_LIBS})
 
 install(TARGETS kontact_basketplugin DESTINATION ${PLUGIN_INSTALL_DIR})
 install(FILES basket_plugin.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kontact)

=== debian/changelog ===
basket (2.10~beta+git20150905.faa6dce-1) unstable; urgency=medium

  * New git snapshot.
  * Switch to a proper versioning schema (<date>.<gitsnapshot>).
  * Add explicit dependency on shared-mime-info, which was most likely
    implicitly dragged in by some other dependency in the past, and
    also on libsoprano-dev, which was installed by kdelibs5-dev
    (Closes: #796415, #773779).
  * Drop patch 20-Remove-root-XML-tag-from-application-x-basket-item.patch,
    included upstream.
  * Remove TODO from documentation (not user oriented).

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Sun, 06 Sep 2015 00:07:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: basket
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Sune Vuorela <debian@pusling.com>, Luigi Toscano <luigi.toscano@tiscali.it>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake, libx11-dev, pkg-config, libqimageblitz-dev,
- kdelibs5-dev, kdepimlibs5-dev (>=4:4.4.3), libgpgme11-dev, shared-mime-info
+ shared-mime-info, libsoprano-dev, kdelibs5-dev, kdepimlibs5-dev (>=4:4.4.3), libgpgme11-dev
 Homepage: http://basket.kde.org/
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/basket.git
